#830 closed defect (fixed)

termios ioctl(FIONREAD) reported wrong number of chars

Reported by: strauman Owned by: Joel Sherrill
Priority: high Milestone: 2
Component: fs Version: unknown
Severity: critical Keywords:
Cc: bugs@…, strauman@… Blocked By:
Blocking:

Description

add chars in low-level / raw buffer to total count

Release:
unknown

Attachments (1)

libc-fionread.diff (1005 bytes) - added by strauman on Dec 3, 2006 at 1:31:12 PM.
libc-fionread.diff

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Oct 6, 2005 at 10:14:33 AM by Joel Sherrill

Status: assignedwaiting

comment:2 Changed on Mar 7, 2006 at 7:28:48 PM by strauman

From: Till Straumann <strauman@…>
To: bugs@…
Cc: joel@…, jmj@…, ralf_corsepius@…,

chrisj@…, norume@…, mayes@…

Subject: Re: RTEMS Re: filesystem/830
Date: Tue, 07 Mar 2006 14:28:48 -0800

RTEMS-gnats@… wrote:

Synopsis: termios ioctl(FIONREAD) reported wrong number of chars

State-Changed-From-To: feedback->closed
State-Changed-By: joel
State-Changed-When: Tue, 07 Mar 2006 16:24:04 -0600
State-Changed-Why:
Attached patch applied to trunk and 4.6 branch.

http://www.rtems.com/cgi-bin/gnatsweb.pl?cmd=view&database=RTEMS&pr=830


Hmmm - while I believe the patch handles raw mode ok,
I also believe that Eric's remarks about cooked
mode were correct. I have no easy solution for
cooked mode, however. This means that with or without
patch, cooked mode is handled incorrectly.


It would be better to check for cooked mode and
return an error (unsupported).


-- Till

comment:3 Changed on Mar 7, 2006 at 9:24:04 PM by Joel Sherrill

Status: waitingclosed

Changed on Dec 3, 2006 at 1:31:12 PM by strauman

Attachment: libc-fionread.diff added

libc-fionread.diff

Note: See TracTickets for help on using tickets.